<template>
  <component
    :is="to ? 'nuxt-link' : 'button'"
    :to="to"
    class="backButton"
    @click="handleClick"
  >
    <span class="icon" v-wave>
      <svg-icon name="backButton" />
    </span>
    <span class="value"><slot /></span>
  </component>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'

export default defineComponent<{
  to: string
}>({
  name: 'BackButton',
  props: ['to'],
  setup(_, { emit }) {
    const handleClick = (event: any) => {
      emit('click', event)
    }
    return {
      handleClick
    }
  }
})
</script>

<style lang="scss" scoped>
@import '~/assets/scss/variables';

.backButton {
  background: 0;
  border: 0;
  outline: none;
  margin-bottom: 50px;
  display: inline-flex;
  align-items: center;
  font-size: 0px;
  border: none;
  outline: none;
  cursor: pointer;
  transition: 0.25s all linear;

  span.icon {
    width: 50px;
    height: 50px;
    background: #272c3b;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 20px;
    svg {
      width: 8px;
      height: 11px;
      fill: #7683ad;
    }
  }

  span.value {
    flex: none;
    font-weight: bold;
    font-size: 16px;
    line-height: 20px;
    letter-spacing: 0.8px;
    color: #ffffff;
    text-transform: uppercase;
  }
}
</style>
